using System;
using System.Linq;
using System.Text;
using System.Data;
using System.Collections.Generic;
using Plus.Communication.Packets.Outgoing.Notifications;
using Plus.HabboHotel.Quests;
using Plus.HabboHotel.Rooms;
using System.Threading;
using Plus.HabboHotel.GameClients;
using Plus.Communication.Packets.Outgoing.Rooms.Notifications;

namespace Plus.HabboHotel.Rooms.Chat.Commands.Moderator
{
    class BubbleHotelAlertCommand : IChatCommand
    {
        public string PermissionRequired
        {
            get { return "command_bha"; }
        }

        public string Parameters
        {
            get { return "%message%"; }
        }

        public string Description
        {
            get { return "Envoyer un message sous forme de bulle à l'ensemble de l'hôtel."; }
        }

        public void Execute(GameClients.GameClient Session, Rooms.Room Room, string[] Params)
        {
            if (Params.Length == 1)
            {
                Session.SendWhisper("Tu n'as pas entré de message !", 34);
                return;
            }
            string Message = CommandManager.MergeParams(Params, 1);
            PlusEnvironment.GetGame().GetClientManager().SendMessage(new BubbleNotificationComposer("" + Message + "\r\r - " + Session.GetHabbo().Username + "", "bubble1"));
            return;
        }
    }
}
